//MaCDavid: 20020204

/*
 * G_GRAPH.ch, v 3.0 2002/02/28 03:36:38 MaCDavid
 */

/*
 * TGraph 3 source code:
 * Definiciones para diferentes valores aplicables en TGraph
 *
 * Copyright 2002 David Arturo Macias Corona <dmacias@mail.udg.mx>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this software; see the file COPYING.  If not, write to
 * the Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA 02111-1307 USA (or visit the web site http://www.gnu.org/).
 *
 * V 3.0  David Arturo Macias Corona     Version 3 del modelo TGraph
 *
 */

#ifndef _TGRAPH_CH
#define _TGRAPH_CH

/*----------------------------------------------------------------------------//
!short: TGRAPH  */

#Define GRAPH_TYPE_BAR   1
#Define GRAPH_TYPE_LINE  2
#Define GRAPH_TYPE_POINT 3
#Define GRAPH_TYPE_PIE   4
#Define GRAPH_TYPE_ALL   5

//MaCDavid:   ---Begin

#Define GRAPH_TYPE_XY      6
#Define GRAPH_TYPE_MAXMIN  7
#Define GRAPH_TYPE_STACK   8
#Define GRAPH_TYPE_STACK_PERCENT  9
#Define GRAPH_TYPE_AREA   10

//MaCDavid:   ---End

#Define POINT_TYPE_1     1
#Define POINT_TYPE_2     2
#Define POINT_TYPE_3     3

#Define LOGPIXELSX      88
#Define LOGPIXELSY      90

#Define TA_LEFT          0
#Define TA_RIGHT         2
#Define TA_CENTER        6

#Define CF_BITMAP        2

#Define NULL_PEN         8
#Define NULL_BRUSH       5

#Define SERIE_VALUES     1
#Define PERIOD_VALUES    2


//MaCDavid:   ---Begin

//Posiciones
#Define POS_FIXED    0
#Define POS_TOP      1
#Define POS_LEFT     2
#Define POS_BOTTOM   3
#Define POS_RIGHT    4
#Define POS_CENTER   5
#Define POS_BEST     6

//Alineaciones
#Define ALI_LEFT     1
#Define ALI_RIGHT    2
#Define ALI_CENTER   3

//Tipo de eje
#Define AXI_NIL          0   //No es eje o leyenda
#Define AXI_AXISX        1
#Define AXI_AXISYL       2
#Define AXI_AXISYR       3
#Define AXI_LEGEND       4

//Matriz para propiedades de columnas
#define COL_ARRAY       14
#define COL_CTITLE      1
#define COL_NCLRFILL    2
#define COL_OFONTC      3
#define COL_NCLRC       4
#define COL_CARGO       5
#define COL_LFILL       6
#define COL_L3D         7
#define COL_NTYPE       8
#define COL_NPOINT      9
#define COL_NPIEST      10
#define COL_NPENWIDTH   11
#define COL_LSHOWVAL    12
#define COL_NINDEX      13
#define COL_LDOTTED     14

#endif
