#define _DLL_CH
#define _FOLDER_CH
#define _ODBC_CH
#define _DDE_CH
#define _VIDEO_CH
#define _TREE_CH


#include "FiveWin.ch"    // Cabezera de FW
#include "TsButton.ch"    // Cabezera de FW
#include "TsBrowse.ch"
#include "REPORT.ch"


#define CLR_PINK   nRGB( 255, 128, 128)
#define CLR_NBLUE  nRGB( 128, 128, 192)
#define CLR_NBROWN  nRGB( 130, 99, 53)
#define CLR_1 nRGB( 190, 215, 190 )
#define CLR_2 nRGB( 230, 230, 230 )
#define CLR_3 nRGB( 217, 217, 255 )
#define CLR_4 nRGB( 250, 240, 230 )
#define CLR_5 nRGB( 30, 144, 255 )

static oFont, oSay

function CAJA()

   local oBmp,  oDlg, oLbx, oIcoMari    // oLbx=Browser, oDlg=Dialogo, oBmp= bitmap

   SET _3DLOOK ON                       // Microsoft 3D Look

   SET DELETE ON
   SET DATE FRENCH

  sele 29
  use cacceso  shared
  locate for alltrim(user)=alltrim(cacceso->usuario)  .and. alltrim(pass)=alltrim(cacceso->password) .and. cacceso->CAJA="S"
  iF FOUND()
  ELSE
  ALERT("NO ESTA AUTORIZADO PARA ESTE MODULO",,"CONTROL DE ACCESOS")
  RETURN
  ENDIF




   sele 8
   USE CAJA SHARED
   IF .NOT. NETERR()
	INDEX ON CAJA->FECHA TO CAJA
   ENDIF


  SET INDEX TO CAJA
  SET FILTER TO CAJA->FECHA=DATE()



   DBGOTOP()

   DEFINE FONT oFont    NAME "ARIAL" SIZE 0,-11.70


  DEFINE DIALOG oDlg RESOURCE "CLIBROW" FONT oFont COLOR CLR_NBLUE,CLR_5

  REDEFINE BROWSE oLbx OF oDlg ID 101 ON LEFT DBLCLICK( EditClient( oLbx, .F. ) )  Update




   ADD COLUMN TO BROWSE oLbx DATA CAJA->FECHA ;
     Title  "FECHA";
     Size 59 &&

   ADD COLUMN TO BROWSE oLbx DATA  CAJA->CONCEPTO   ;
     Title  "CONCEPTO ";
     Size 243


   ADD COLUMN TO BROWSE oLbx DATA CAJA->INGRESOS ;
     Title  "INGRESOS ";
     Size 82  PICTURE "999,999.99"


    ADD COLUMN TO BROWSE oLbx DATA CAJA->EGRESOS ;
     Title  "EGRESOS";
     Size 82  PICTURE "999,999.99"

    ADD COLUMN TO BROWSE oLbx DATA CAJA->INGRESOS-CAJA->EGRESOS ;
     Title  "TOTAL";
     Size 82  PICTURE "999,999.99"






oLbx:SetColor( { 2, 3, 4, 5, 6, 15 }, ;
			  { { || If( oLbx:nLogicPos % 2 = 0, ;
			     CLR_1,CLR_2) }, ; // brushed cells
			   CLR_BLACK, CLR_WHITE, ; // brushed headers
			   CLR_WHITE, CLR_BLACK , ; // degraded cursor
			   CLR_BLACK } )  // grid lines color


  oLbx:nHeightCell += 4
  oLbx:nHeightHead += 6


  oLbx:lNoHScroll := .T.


 REDEFINE SBUTTON ID 102 RESOURCE "ag"    OF oDlg  LOOK W97 TEXT ON_RIGHT  ACTION (  EditClient( oLbx, .T. ) )
 REDEFINE SBUTTON ID 103 RESOURCE "mod"   OF oDlg  LOOK W97 TEXT ON_RIGHT  ACTION (  EditClient( oLbx, .F. ) )
 REDEFINE SBUTTON ID 104 RESOURCE "vis"   TITLE " C X DIA" OF oDlg  LOOK W97 TEXT ON_RIGHT  ACTION (  TCAJAS(ODLG,OLBX) )
 REDEFINE SBUTTON ID 106 RESOURCE "borr"  OF oDlg  LOOK W97 TEXT ON_RIGHT ACTION (  Delclient ( Olbx) )
 REDEFINE SBUTTON ID 105 RESOURCE "IMP"   OF oDlg  LOOK W97 TEXT ON_RIGHT ACTION (TCAJAS(ODLG,OLBX), RepCaj(OLBX))
 REDEFINE SBUTTON ID 107 RESOURCE "SALIR" OF oDlg  LOOK W97 TEXT ON_RIGHT  ACTION ( oDlg:End()   )



   ACTIVATE DIALOG oDlg  CENTER

   SET 3DLOOK OFF

   USE

return nil


**********************************************************************************


static function EditClient( oLbx, lAppend )

LOCAL oCAJA
LOCAL oIngresos
LOCAL xIngresos
LOCAL oEgresos
LOCAL xEgresos
LOCAL oConcepto
LOCAL xConcepto
LOCAL oTotal
LOCAL xTotal
LOCAL oFecha
LOCAL xFecha
Local lSave   := .f.
local nOldRec := RecNo()




DEFINE DIALOG oCAJA ;
	RESOURCE "CAJA" COLOR CLR_NBLUE,CLR_5

if lappend
xIngresos :=0
xEgresos  :=0
xConcepto :=space(30)
xTotal    :=0
xFecha    :=date()

else
xIngresos := caja->Ingresos
xEgresos  := caja->Egresos
xConcepto := caja->Concepto
xTotal    := caja->INGRESOS-CAJA->EGRESOS
xFecha    := caja->Fecha
endif



REDEFINE SAY  oFecha     Prompt "Fecha"      ID 590  OF oCAJA COLOR CLR_BLACK,CLR_5
REDEFINE SAY  oConcepto  Prompt "Concepto"   ID 600  OF oCAJA COLOR CLR_BLACK,CLR_5
REDEFINE SAY  oIngresos  Prompt "Ingresos"   ID 610  OF oCAJA COLOR CLR_BLACK,CLR_5
REDEFINE SAY  oEgresos   Prompt "Egresos "   ID 620  OF oCAJA COLOR CLR_BLACK,CLR_5
REDEFINE SAY  oTotal     Prompt "Total    "  ID 630  OF oCAJA COLOR CLR_BLACK,CLR_5







redefine GET oFecha      VAR xFecha      ;
	ID 110 ;
	OF oCAJA ;

redefine GET oConcepto   VAR xConcepto   ;
	ID 120 ;
	OF oCAJA




redefine GET oIngresos   VAR xIngresos   ;
	ID 130 picture '99,999.99';
	OF oCAJA

redefine GET oEgresos    VAR xEgresos    ;
	ID 140 picture '99,999.99';
	OF oCAJA

redefine GET oTotal  VAR xTotal      ;
	ID 150 picture '99,999.99';
	OF oCAJA



 REDEFINE SBUTTON ID 111 RESOURCE "ok"      OF oCAJA  LOOK W97 TEXT ON_RIGHT  ACTION (  ( lSave := .t. , oCAJA:End() ) )
 REDEFINE SBUTTON ID 112 RESOURCE "cancel"  OF oCAJA  LOOK W97 TEXT ON_RIGHT  ACTION ( lSave := .F.,  oCAJA:End() )




ACTIVATE DIALOG oCAJA CENTERED

 Sele 8
  USE CAJA SHARED
  IF .NOT. NETERR()
	INDEX ON CAJA->FECHA TO CAJA
  ENDIF
  SET INDEX TO CAJA


   if lSave  .and. !empty(Xconcepto)
      if lAppend

	 APPEND bLANK



While .not. RLOCK(); end
replace caja->Ingresos  with xIngresos
replace caja->Egresos   with xEgresos
replace caja->Concepto  with xConcepto
replace caja->Total     with xTotal
replace caja->Fecha     with xFecha
commit
unlock

else

locate for alltrim(xconcepto)=alltrim(caja->concepto)
if found()

While .not. RLOCK(); end
replace caja->Ingresos  with xIngresos
replace caja->Egresos   with xEgresos
replace caja->Concepto  with xConcepto
replace caja->Total     with xTotal
replace caja->Fecha     with xFecha
commit
unlock
endif
endif







  if Empty( XConcepto ) .and. lSave

  MsgAlert( "Favor de escribir un Concepto" )
  endif
      GOTO nOldRec
  endif
  oLbx:UpStable()    // Repagina
  oLbx:Refresh()     // Queremos que el ListBox repinte


return nil




//---------------------------------------------------------------------------//
static function DelClient( oLbx )

   if MsgYesNo(  "Est usted seguro anular este item ?","CAJA" )

   While .not. RLOCK(); end
      DELETE
      ********
      UNLOCK
      ********
      oLbx:Refresh()  // Repinta el ListBox
      oLbx:GOTOP()  // Repinta el ListBox


   endif










return nil




FUNCTION TCAJAS(ODLG,OLBX)



local odlg1
local nStyle := nOr( WS_POPUP,    ; // System menu de  oDlg
			 WS_MAXIMIZE ) // botn maximize habilitado y botn minimize deshabilitado

local ofecha



PUBLIC desdeIV:= CToD("  /  /  ")
PUBLIC hastaIV:= Date()

DEFINE FONT oFont    NAME "ARIAL" SIZE 0,-13.70 BOLD
set date french
set epoch to 1990




DEFINE DIALOG oDlg1 from 10,35 to 20,70  STYLE nStyle

   @ 0 ,03 say  ofecha Prompt "         CAJA                "  FONT OFONT of  oDlg1
   @ 1.5 ,06 say  ofecha Prompt "Desde "  FONT OFONT of  oDlg1
   @ 2.5 ,06 say  ofecha Prompt "Hasta "  FONT OFONT of  oDlg1

   @ 1.7 ,8 get  desdeIV of  odlg1


   @ 2.7 ,8 get  hastaIV of  odlg1


   @ 5 ,2 sbutton  b   resource "ok" PROMPT  "Aceptar" size 40,10  OF oDlg1  LOOK W97 TEXT ON_RIGHT ACTION (ODLG1:END())
   @ 5 , 10 sbutton  b resource "cancel" PROMPT  "Cancelar" size 40,10  OF oDlg1  LOOK W97 TEXT ON_RIGHT action(odlg1:END())


ACTIVATE DIALOG oDlg1 CENTERED









   sele 8
   USE CAJA SHARED  &&ALIAS CAJA SHARED
   IF .NOT. NETERR()
	INDEX ON CAJA->FECHA TO CAJA
   ENDIF
   SET INDEX TO CAJA


   SET FILTER TO CAJA->fecha>=desdeIV .AND. CAJA->fecha<=hastaIV
   DBGOTOP()

   OLBX:REFRESH()
   OLBX:UPSTABLE()





  FUNCTION  TOTALES

local odlg1
local nStyle1 := nOr( WS_POPUP,    ; // System menu de  oDlg
			 WS_MAXIMIZE ) // botn maximize habilitado y botn minimize deshabilitado

  LOCAL TO,EF,TA

  DEFINE DIALOG oDlgv from 10,35 to 24,82 &&STYLE nStyle1


@ 1 ,05 say  ofecha Prompt "        CAJAS                "  of  oDlgv font ofont
@ 2 ,09 say  TO Prompt  "ENTRADA $"  of  oDlgv  font ofont
@ 2.5,09 say EF Prompt  "ENTRADA T"  of  oDlgv font ofont
@ 3 ,09 say  TA Prompt  "EGRESOS  "  of  oDlgv font ofont
@ 3.5,09 say  TA Prompt "TOTAL   "  of  oDlgv font ofont



@ 2 ,19  say    VALTOTAL    picture '99,999.99'  of  oDlgv font ofont
@ 2.5,19 say    VALTOTA  picture '99,999.99'  of  oDlgv font ofont
@ 3,19   say    VALEGRE  picture '99,999.99'  of  oDlgv font ofont
@ 3.5,19  say   VALTOT   picture '99,999.99'  of  oDlgv font ofont


 @ 6 , 14 sbutton  b RESOURCE "Salir" PROMPT  "Salir" size 40,10  OF oDlgv  LOOK W97 TEXT ON_RIGHT action(odlgv:end())






ACTIVATE DIALOG oDlgv CENTERED

