#include "FiveWin.ch"
#include "FileXLS.ch"


static oDlg, oLbx, oFont, oMeter, nMeter


function xls2()

    local oFileXLS

    Local lIni := .t., nReg := RecNo(), cfpago := ""

    local nFormat1, nFormat2
    local nFont1, nFont2, nFont3, nFont4

    local aRowfpago := {}

    local cSumaPesetas := "", cSumaEuros := ""

    PUBLIC nRow, nRowfpago  // estas variables tienen que ser declaradas publicas
				// para poder ser procesadas en las formulas de Excel



   SELE 5
    USE COMPRAS
    index on factura to COMPRAS
    set index to COMPRAS
    total on &(indexkey(0)) fields TFACTURA,TPAGADO,SALDO to COMPROV



   SELE 24
   USE COMPROV






    DEFINE XLS FORMAT nFormat1 PICTURE '#,##0'      // para pesetas
    DEFINE XLS FORMAT nFormat2 PICTURE '#,##0.00'   // para euros
    DEFINE XLS FORMAT nFormatFecha PICTURE XLSFORMAT_DATE_1 // ver XLSForm.ch




    DEFINE XLS FONT nFont1 NAME "Arial" HEIGHT 16 BOLD
    DEFINE XLS FONT nFont2 NAME "Arial" UNDERLINE BOLD
    DEFINE XLS FONT nFont3 NAME "Times New Roman" HEIGHT 8

    XLS oFileXLS FILE "COMPRASP.xls" AUTOEXEC

        XLS COL 1 WIDTH 1 OF oFileXLS 
	XLS COL 2 WIDTH 9.5 OF oFileXLS
	 XLS COL 3 WIDTH 9.0 OF oFileXLS
        XLS COL 4 WIDTH 12.3 OF oFileXLS 
        XLS COL 5 WIDTH 11.8 OF oFileXLS 
        XLS COL 6 WIDTH 12.3 OF oFileXLS 

        
        nRow := 2
	@ nRow,2 XLS SAY "COMPRAS" FONT nfont1 OF oFileXLS
        nRow++
	@ nRow,2 XLS SAY "DIARIAS Y MENSUALES POR PRODUCTOS " FONT nfont2 OF oFileXLS
        nRow += 2
        
        GO TOP
        DO WHILE .NOT.EOF()

	   IF .NOT.( COMPROV->PROVEEDOR == cfpago )
              IF !lIni
                 @ nRow,5 XLS FORMULA _SUM( nRowfpago, 5, nRow-1, 5 ) FONT nFont3 OF oFileXLS ;
                          BORDER BORDER_TOP ;
                          FORMAT nFormat1
                 @ nRow,6 XLS FORMULA _SUM( nRowfpago, 6, nRow-1, 6 ) FONT nFont3 OF oFileXLS ;
                          BORDER BORDER_TOP ;
                          FORMAT nFormat2    
                 AAdd( aRowfpago, nRow )
                 nRow++
                 XLS PAGE BREAK AT nRow OF oFileXLS
              ELSE
                 lIni := .f.
              ENDIF
              nRow++
	      @ nRow,2 XLS SAY TRIM( COMPROV->PROVEEDOR ) FONT nFont2 OF oFileXLS
	      cfpago := COMPROV->PROVEEDOR
              nRow++
              nRowfpago := nRow
           ENDIF

           *@ nRow,3 XLS SAY  COMPROV->narticulo  FONT nFont3 OF oFileXLS FORMAT nFormat1
           @ nRow,2 XLS SAY  COMPROV->fecha       FONT nFont3 OF oFileXLS FORMAT nFormatFecha
	   @ nRow,3 XLS SAY  COMPROV->FACTURA  FONT nFont3 OF oFileXLS FORMAT nFormat1
	   @ nRow,4 XLS SAY   COMPROV->TFACTURA  FONT nFont3 OF oFileXLS
	   @ nRow,5 XLS SAY  COMPROV->TPAGADO      FONT nFont3 OF oFileXLS
	   @ nRow,6 XLS SAY  COMPROV->SALDO  FONT nFont3 OF oFileXLS

           nRow++
           SKIP

        ENDDO    



        //
        

	 SET XLS TO DISPLAY ;
	    OF oFileXLS


    
   ENDXLS oFileXLS
   close database
return nil

