#include "FiveWin.ch"


#include "FileXLS.ch"


static oDlg, oLbx, oFont, oMeter, nMeter


function xls()



    local oFileXLS

    Local lIni := .t., nReg := RecNo(), cfpago := ""

    local nFormat1, nFormat2
    local nFont1, nFont2, nFont3, nFont4

    local aRowfpago := {}

    local cSumaPesetas := "", cSumaEuros := ""

    PUBLIC nRow, nRowfpago  // estas variables tienen que ser declaradas publicas
				// para poder ser procesadas en las formulas de Excel


    repos2()

    SELE 16
    USE FACTMPE
    index on factmpe->NARTICULO to FACTMPX
    set index to factmpx
    total on &(indexkey(0)) fields cantidad,total to facturaX






   SELE 18
   USE FACTURAX




    DEFINE XLS FORMAT nFormat1 PICTURE '#,##0'      // para pesetas
    DEFINE XLS FORMAT nFormat2 PICTURE '#,##0.00'   // para euros
    DEFINE XLS FORMAT nFormatFecha PICTURE XLSFORMAT_DATE_1 // ver XLSForm.ch




    DEFINE XLS FONT nFont1 NAME "Arial" HEIGHT 16 BOLD
    DEFINE XLS FONT nFont2 NAME "Arial" UNDERLINE BOLD
    DEFINE XLS FONT nFont3 NAME "Times New Roman" HEIGHT 8

    XLS oFileXLS FILE "Ventadm.xls" AUTOEXEC

        XLS COL 1 WIDTH 1 OF oFileXLS 
	XLS COL 2 WIDTH 9.5 OF oFileXLS
	 XLS COL 3 WIDTH 9.0 OF oFileXLS
        XLS COL 4 WIDTH 12.3 OF oFileXLS 
        XLS COL 5 WIDTH 11.8 OF oFileXLS 
        XLS COL 6 WIDTH 12.3 OF oFileXLS 
        XLS COL 7 WIDTH 12.3 OF oFileXLS 
        XLS COL 8 WIDTH 12.3 OF oFileXLS 
	XLS COL 9 WIDTH 12.3 OF oFileXLS
	XLS COL 10 WIDTH 12.3 OF oFileXLS


        
        nRow := 2
	@ nRow,2 XLS SAY "VENTAS" FONT nfont1 OF oFileXLS
        nRow++
	@ nRow,2 XLS SAY "DIARIAS Y MENSUALES " FONT nfont2 OF oFileXLS
        nRow += 2
        
        GO TOP

              @ nRow,1 XLS SAY "Fecha  " FONT nFont2 OF oFileXLS
	      @ nRow,3 XLS SAY "Codigo " FONT nFont2 OF oFileXLS
	      @ nRow,4 XLS SAY "Descripcion " FONT nFont2 OF oFileXLS
	      @ nRow,5 XLS SAY "Cantidad " FONT nFont2 OF oFileXLS
	      @ nRow,6 XLS SAY "Precio " FONT nFont2 OF oFileXLS
	      @ nRow,7 XLS SAY "$ Stock Compra " FONT nFont2 OF oFileXLS
	      @ nRow,8 XLS SAY "$ Stock Venta " FONT nFont2 OF oFileXLS
	      @ nRow,9 XLS SAY "Ganancia " FONT nFont2 OF oFileXLS
	      @ nRow,10 XLS SAY "Reposicion " FONT nFont2 OF oFileXLS















        DO WHILE .NOT.EOF()

	   IF .NOT.( facturaX->fpago == cfpago )
              IF !lIni
                 @ nRow,5 XLS FORMULA _SUM( nRowfpago, 5, nRow-1, 5 ) FONT nFont3 OF oFileXLS ;
                          BORDER BORDER_TOP ;
                          FORMAT nFormat1
                 @ nRow,6 XLS FORMULA _SUM( nRowfpago, 6, nRow-1, 6 ) FONT nFont3 OF oFileXLS ;
                          BORDER BORDER_TOP ;
                          FORMAT nFormat2    
                 AAdd( aRowfpago, nRow )
                 nRow++
                 XLS PAGE BREAK AT nRow OF oFileXLS
              ELSE
                 lIni := .f.
              ENDIF
              nRow++
	      @ nRow,2 XLS SAY TRIM( facturaX->fpago ) FONT nFont2 OF oFileXLS
	      cfpago := facturaX->fpago
              nRow++
              nRowfpago := nRow
           ENDIF

	   @ nRow,2 XLS SAY  facturaX->fecha       FONT nFont3 OF oFileXLS FORMAT nFormatFecha
	   @ nRow,3 XLS SAY  FACTURAX->narticulo  FONT nFont3 OF oFileXLS FORMAT nFormat1
	  @ nRow,4 XLS SAY  trim( facturaX->descripcio)  FONT nFont3 OF oFileXLS
	   @ nRow,5 XLS SAY  facturaX->cantidad      FONT nFont3 OF oFileXLS

	  **********
	   @ nRow,6 XLS SAY  facturaX->total   FONT nFont3 OF oFileXLS
	  *************
           @ nRow,7 XLS SAY  facturaX->precioc*facturaX->cantidad  FONT nFont3 OF oFileXLS
           @ nRow,8 XLS SAY  facturaX->precio*facturaX->cantidad  FONT nFont3 OF oFileXLS
	   @ nRow,9 XLS SAY  facturaX->cantidad*(facturaX->precio-facturaX->precioc) Font nFont3 OF oFileXLS

	   @ nRow,10 XLS SAY  facturaX->reposicion Font nFont3 OF oFileXLS


           nRow++
           SKIP

        ENDDO    



        //
        

	 SET XLS TO DISPLAY ;
	    OF oFileXLS




   ENDXLS oFileXLS
 close database

return nil




Function repos2()

  Sele 16
  use factmpe
  go top
 do while !eof()
   store narticulo to codstock
   Sele 3
   use stock index stock
   locate for alltrim(stock->codigo)=alltrim(codstock)
   if found() &&.and. stock->stexisten >= stock->stminimo
   if stock->stminimo >= stock->stexisten
   sele 16
   replace factmpe->reposicion with "Reposicion"
   sele 3
   endif
   endif
   sele 16
  skip

enddo
close database

